Subject: Issues for LA meeting

From: John Flick <[email-masked]>
Date: Mon, 9 Feb 1998 17:53:49 -0800 (PST)

Hi,

I have taken a first pass look at the changes that have been made to
clause 30 of 802.3 in 802.3x/802.3z.  I have summarized those changes
below.  Note that the list of objects with modified descriptions is
rather long, but some of those changes are pretty trivial, like adding
references to the appropriate 802.3 section for gigabit.

There are a few overall issues we probably ought to discuss at LA:

  - logistics: Do we want to cycle the existing documents (RFC 2108,
    RFC 2233, soon-to-be updated RFC 1650) at proposed again, or
    should we somehow put this stuff in a separate document?

  - How should we handle buffered repeaters (if at all)?  The IEEE
    standard doesn't mention them, but it seems like most vendors that
    are doing gigabit repeaters are implementing them as buffered
    repeaters.

  - Perhaps we should discuss how we are going to handle the fact that
    802.3 is looking at just changing the definition of maxPacket from
    1518 octets to 1522 octets to handle tagged packets.  Is this the
    way we want to proceed?  It would save us from having to deprecate
    and redefine several objects, but backward compatability would
    seem to be messy.

  - Which packet counters now need 64-bit versions for gigabit?

  - We need to decide how we are going to represent the bit mask
    objects that we defined as Integer32 in RFC 2233 (ifMauTypeList,
    ifMauAutoNegCapability, ifMauAutoNegCapAdvertized, and
    ifMauAutoNegCapReceived).  There are now more than 32 bits for
    some of these objects.

  - The IEEE flow-control instrumentation of just counting PAUSE
    frames is entirely inadequate for determining where things are
    getting congested in a network.  This can be solved with the
    addition of one counter, and text defining the interpretation of
    one other counter in a full-duplex environment.  However, it
    requires instrumentation that is not in the IEEE document.  In the
    past, our charter has forbidden us from adding things that require
    instrumentation not in the IEEE spec.  However, I think this case
    is important enough to consider an exception.  I can give a brief
    presentaiton in LA on this if desired.

John

====================================================================

New objects:

oMACEntity
  aMACCapabilities
  aDuplexStatus
oMACControlEntity
  aMACControlFunctionsSupported
  aMACControlFramesTransmitted
  aMACControlFramesReceived
  aUnsupportedOpcodesReceived
oPAUSEEntity
  aPAUSELinkDelayAllowance
  aPAUSEMACCtrlFramesTransmitted
  aPAUSEMACCtrlFramesReceived
oRepeaterPort
  aBursts
oMAU
  aIdleErrorCount

Objects with additional values:

oRepeater
  aRepeaterType
oMAU
  aMAUType
  aMAUTypeList
  aMediaAvailable
oAuto-Negotiation
  aAutoNegLocalTechnologyAbility
  aAutoNegAdvertisedTechnologyAbility
  aAutoNegReceivedTechnologyAbility

Objects with modified descriptions:

oMACEntity
  aFrameCheckSequenceErrors
  aAlignmentErrors
  aLateCollisions
oPHYEntity
  aSQETestErrors
  aSymbolErrorDuringCarrier
oRepeater
  aTransmitCollisions
  acResetRepeater
oRepeaterPort
  aPortAdminState
  aAutoPartitionState
  aReadableFrames
  aAlignmentErrors
  aShortEvents
  aRunts
  aCollisions
  aLateEvekts
  aVeryLongEvents
  aDataRateMismatches
  aAutoPartitions
  aIsolates
  acPortAdminControl
oMAU
  aLoseMediaCounter
  aJabber
  aFalseCarriers
oAuto-Negotiation
  aAutoNegAdminState
  aAutoNegRemoteSignalling
  aAutoNegLocalSelectorAbility
  aAutoNegAdvertisedSelectorAbility
  aAutoNegReceivedSelectorAbility

---

From: John Flick <[email-masked]>
Date: Mon, 9 Feb 1998 18:34:30 -0800 (PST)

In the message I sent earlier, I got my RFC numbers mixed up.  The MAU
MIB is RFC 2239, not RFC 2233 (that is IF-MIB).

 >     RFC 2233, soon-to-be updated RFC 1650) at proposed again, or

should be RFC 2239, not 2233.

 >     should we somehow put this stuff in a separate document?

...

 >     objects that we defined as Integer32 in RFC 2233 (ifMauTypeList,

should be rfc2239, not 2233.

 >     ifMauAutoNegCapReceived).  There are now more than 32 bits for

Sorry for the confusion.

John